<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form name="form" action="Redirect.html" onsubmit="validateForm()&&validateCheckbox()&&validatePassword()">
        <label for="email">Email:</label><br>
        <input type="email" id="email" placeholder="Enter Email" name="email"><br>
        <label for="password">Password</label><br>
        <input type="password" id="password" placeholder="Enter Password" name="password"><br>
        <label for="sex">sex</label><br>
        <select name="sex" id="sex">
            <optgroup label="gender">

                <option value="male">male</option>
                <option value="female">female</option>
                <option value="others">others</option>
            </optgroup>


        </select>
        <p>ROLE</p>
        

            <input type="radio" name="role" id="u" value="admin"required> Admin
            <input type="radio" name="role" id="u" value="user"required> User

       

        <p>PERMISSIONS</p>
        <div class="checkbox-req">

            <input type="checkbox" id="permission1" name="permission1" value="permission1">
            <label for="permission1" >i accept permission 1</label><br>
            <input type="checkbox" id="permission1" name="permission1" value="permission2">
            <label for="permission2" >i accept permission 2</label><br>
            <input type="checkbox" id="permission3" name="permission3" value="permission3">
            <label for="permission3" >i accept permission 3</label><br>
            <input type="checkbox" id="permission4" name="permission4" value="permission4">
            <label for="permission4" >i accept permission 4</label><br>
        </div>


        <button type="button" >
            <input type="submit" value="submit" class="sub">
        </button> 

    </form>
    <script src="script.js"></script>
</body>
</html>